Page MenuHomePhabricator

Make languages available to index crawlers in BODY of mobile version of article pages
Closed, ResolvedPublic3 Estimated Story PointsBUG REPORT

Description

Its emerged that including language links in the page HTML is useful for SEO purposes.
The reason a change is required on our side is that Google is transitioning to a mobile first indexing crawler. While the desktop site will still be crawled, mobile will be the default. While our mobile pages include a canonical URL to the desktop site, the mobile site will still be the primary source.

In T326829 we considered various solutions and decided to add these links to the BODY tag of the Minerva skin.

Proposed solution

This does not impact the first 14kB of HTML guideline from the performance team so should not have any negative effect on page load. However, since this is non-standard there is no guarantee this will work for all search engines and will work in future.

Patch: https://gerrit.wikimedia.org/r/c/mediawiki/skins/MinervaNeue/+/879607.

TODO

  • Add links to body
  • Update language link fallback to reveal the language links in the footer.
  • Check the real user metrics after it’s deployed.
  • Remove MobileFrontend Special:MobileLanguages page.

QA steps

Clicking language should take you away from the page.

  • Enable JS and click language button

Expected: overlay should open

QA Results - Beta

ACStatusDetails
1T331905#8722132
2T331905#8722132
3T331905#8722132

QA Results - Prod

ACStatusDetails
1T331905#8722936
2T331905#8722936
3T331905#8722936

Event Timeline

LGoto set the point value for this task to 3.Mar 13 2023, 5:34 PM

Change 879607 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/MinervaNeue@master] Add languages to Minerva HTML

https://gerrit.wikimedia.org/r/879607

Test wiki created on Patch demo by Jdlrobson using patch(es) linked to this task:
https://patchdemo.wmflabs.org/wikis/bd1d57cade/w

Test wiki created on Patch demo by Jdlrobson using patch(es) linked to this task:
https://patchdemo.wmflabs.org/wikis/ed0b6f5b7a/w

NOTE: You'll need to disable JavaScript to test this. I use a Chrome extension to do that.

Footer version: https://patchdemo.wmflabs.org/wikis/bd1d57cade/w/index.php?title=Glasgow&mobileaction=toggle_view_mobile#footer-languages
In article version (following chat with Kieran): https://patchdemo.wmflabs.org/wikis/ed0b6f5b7a/w/index.php?title=Glasgow&mobileaction=toggle_view_mobile#footer-languages

Kieran please move this to needs more work (if we need to chat more) or code review (if you are okay with the proposed in-article version)

Thanks for making those changes @Jdlrobson

After chatting with @ovasileva we decided to keep the languages in the footer section as you had originally done. This is mainly due to the fact that moving them into the article area would move them up the page hierarchy above ‘Related articles’ which we felt wasn’t correct.

If it would be possible to do that but keep the column adjustments you have made where it the list reduces from three to two columns when the viewport is below 720px.

Change 879607 merged by jenkins-bot:

[mediawiki/skins/MinervaNeue@master] Add languages to Minerva HTML

https://gerrit.wikimedia.org/r/879607

Change 901275 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/MinervaNeue@wmf/1.40.0-wmf.27] Add languages to Minerva HTML

https://gerrit.wikimedia.org/r/901275

Change 901275 merged by jenkins-bot:

[mediawiki/skins/MinervaNeue@wmf/1.40.0-wmf.27] Add languages to Minerva HTML

https://gerrit.wikimedia.org/r/901275

Mentioned in SAL (#wikimedia-operations) [2023-03-20T21:50:16Z] <samtar@deploy2002> Started scap: Backport for [[gerrit:901275|Add languages to Minerva HTML (T331905)]]

Mentioned in SAL (#wikimedia-operations) [2023-03-20T21:52:13Z] <samtar@deploy2002> jdlrobson and samtar: Backport for [[gerrit:901275|Add languages to Minerva HTML (T331905)]] synced to the testservers: mwdebug2001.codfw.wmnet, mwdebug1001.eqiad.wmnet, mwdebug1002.eqiad.wmnet, mwdebug2002.codfw.wmnet

Mentioned in SAL (#wikimedia-operations) [2023-03-20T22:00:01Z] <samtar@deploy2002> Finished scap: Backport for [[gerrit:901275|Add languages to Minerva HTML (T331905)]] (duration: 09m 45s)

Jdlrobson added a subscriber: Edtadros.

This is now in production so we can begin looking at real user metrics. Passing to Nick. Let me know if anything further is needed.

Real User Monitoring

I reviewed the real user monitoring (RUM) we have in place for loadEventEnd and domComplete and didn't notice any obvious spikes:

2023-03-21_14-47-33.png (786×3 px, 281 KB)

2023-03-21_14-42-50.png (754×3 px, 280 KB)

Synthetic tests

I also reviewed several of the synthetic test results and noticed that the HTML payload size increase was more than what we anticipated for the body strategy in T326829#8684377. For example, we had anticipated that the "United States" page would result in an increase of 8 kB in transfer size, but the actual amount was closer to 20 kB. I believe this difference was because we were only including the hreflang and href attributes in the tests, but should have also included the title, class, and anchor text as well because this is what production ended up doing. Fortunately, it doesn't look like this difference resulted in the any obvious spikes in the loading and rendering metrics we collect for the Facebook page with an Android device (~10 kB transfer size increase):

2023-03-21_17-42-21 (1).png (2×2 px, 567 KB)

Payload difference for top 100 most popular pages (Feb 2023)

I ran the script again, but this time compared the production version with language links (labeled "Before" in the table) vs. a version that removes the #p-lang element that contains the links (labeled "After" in the table) to get a better sense of the actual size difference for the top 100 most popular pages in the month of February 2023:

  • Median diff html size: 11.51 kB
  • Median diff html transfer size: 2.68 kB
PageBefore html size paragraphAfter html size paragraphDiff html size paragraphBefore html transfer size paragraphAfter html transfer size paragraphDiff html transfer size paragraphBefore html sizeAfter html sizeDiff html sizeBefore html transfer sizeAfter html transfer sizeDiff html transfer size
:------------------------------------:-------------------------:------------------------:-----------------------:----------------------------------:---------------------------------:--------------------------------:---------------:--------------:-------------:------------------------:-----------------------:----------------------
United_States22.13 kB22.13 kB0 B6.67 kB6.67 kB0 B1.38 MB1.29 MB-96.18 kB266.12 kB245.35 kB-20.77 kB
Turkey22.07 kB22.07 kB0 B6.77 kB6.77 kB0 B1.27 MB1.2 MB-77.36 kB244.01 kB229.41 kB-14.6 kB
Wikipedia18.12 kB18.12 kB0 B5.9 kB5.9 kB0 B1.11 MB1.03 MB-78.38 kB206.92 kB192.78 kB-14.14 kB
India20.16 kB20.16 kB0 B6.27 kB6.27 kB0 B1.14 MB1.07 MB-72.89 kB224.01 kB210.31 kB-13.7 kB
2022_Russian_invasion_of_Ukraine38.81 kB38.81 kB0 B9.75 kB9.75 kB0 B1.16 MB1.11 MB-49.5 kB213.73 kB200.77 kB-12.96 kB
Valentine's_Day19.26 kB19.26 kB0 B6.3 kB6.3 kB0 B432.77 kB393.27 kB-39.51 kB93.21 kB83.77 kB-9.44 kB
Cristiano_Ronaldo21.38 kB21.38 kB0 B7.05 kB7.05 kB0 B1.22 MB1.17 MB-48.74 kB198.11 kB188.76 kB-9.35 kB
Elvis_Presley19.22 kB19.22 kB0 B6.44 kB6.44 kB0 B822.48 kB775.43 kB-47.05 kB173.93 kB165.39 kB-8.53 kB
YouTube18.63 kB18.63 kB0 B6.24 kB6.24 kB0 B1.03 MB988.99 kB-45.01 kB190.12 kB181.94 kB-8.18 kB
Manchester_United_F.C.19.82 kB19.82 kB0 B6.53 kB6.53 kB0 B653.32 kB612.57 kB-40.76 kB102.59 kB94.52 kB-8.07 kB
Lionel_Messi21.56 kB21.56 kB0 B7.21 kB7.21 kB0 B1.22 MB1.17 MB-43.93 kB210.84 kB202.78 kB-8.06 kB
Madonna21.17 kB21.17 kB0 B7.14 kB7.14 kB0 B857.87 kB818.66 kB-39.2 kB166.76 kB159.04 kB-7.72 kB
2023_Turkey-Syria_earthquake21.63 kB21.63 kB0 B7.1 kB7.1 kB0 B1.11 MB1.09 MB-28.08 kB202.09 kB194.47 kB-7.62 kB
Cleopatra20.58 kB20.58 kB0 B6.85 kB6.85 kB0 B851.82 kB813.87 kB-37.95 kB150.84 kB143.49 kB-7.36 kB
Leonardo_DiCaprio20.39 kB20.39 kB0 B6.83 kB6.83 kB0 B674.95 kB636.59 kB-38.36 kB120.83 kB113.53 kB-7.3 kB
Jimmy_Carter18.72 kB18.72 kB0 B6.25 kB6.25 kB0 B1 MB961.22 kB-38.91 kB175.53 kB168.31 kB-7.22 kB
Beyonce20.69 kB20.69 kB0 B7 kB7 kB0 B1.16 MB1.12 MB-36.96 kB204.62 kB197.96 kB-6.66 kB
Premier_League19.79 kB19.79 kB0 B6.61 kB6.61 kB0 B775.42 kB746.8 kB-28.62 kB126.07 kB119.59 kB-6.48 kB
Jennifer_Lopez20.26 kB20.26 kB0 B6.79 kB6.79 kB0 B931.63 kB900.29 kB-31.34 kB173.1 kB166.78 kB-6.32 kB
Instagram19.26 kB19.26 kB0 B6.39 kB6.39 kB0 B820.42 kB786.53 kB-33.89 kB144.6 kB138.43 kB-6.16 kB
Sex23.89 kB23.89 kB0 B7.36 kB7.36 kB0 B295.79 kB267.9 kB-27.89 kB60.9 kB54.9 kB-6 kB
Michael_Jordan20.23 kB20.23 kB0 B6.75 kB6.75 kB0 B609.34 kB580.88 kB-28.46 kB121.95 kB116.2 kB-5.75 kB
List_of_highest-grossing_films20.66 kB20.66 kB0 B6.85 kB6.85 kB0 B999.36 kB981.34 kB-18.01 kB161.74 kB156.07 kB-5.67 kB
Rihanna20.99 kB20.99 kB0 B7.09 kB7.09 kB0 B815.03 kB784.34 kB-30.68 kB150.3 kB144.67 kB-5.63 kB
Dwayne_Johnson20.42 kB20.42 kB0 B6.79 kB6.79 kB0 B753.91 kB727.53 kB-26.38 kB129.21 kB123.92 kB-5.29 kB
Bruce_Willis19.1 kB19.1 kB0 B6.4 kB6.4 kB0 B283.39 kB256.1 kB-27.3 kB59.58 kB54.78 kB-4.81 kB
Harrison_Ford20.55 kB20.55 kB0 B6.81 kB6.81 kB0 B302.91 kB277.48 kB-25.43 kB63.37 kB58.73 kB-4.64 kB
Pamela_Anderson20.34 kB20.34 kB0 B6.71 kB6.71 kB0 B366.45 kB342.04 kB-24.41 kB72.81 kB68.36 kB-4.45 kB
Avatar:_The_Way_of_Water21.84 kB21.84 kB0 B7.32 kB7.32 kB0 B609.43 kB590.57 kB-18.86 kB108.61 kB104.19 kB-4.43 kB
LeBron_James23.19 kB23.19 kB0 B7.62 kB7.62 kB0 B1.06 MB1.04 MB-22.24 kB180.53 kB176.19 kB-4.34 kB
Chadwick_Boseman21 kB21 kB0 B6.91 kB6.91 kB0 B553.56 kB533.73 kB-19.83 kB99.36 kB95.2 kB-4.16 kB
Kareem_Abdul-Jabbar24.37 kB24.37 kB0 B7.89 kB7.89 kB0 B599.99 kB578.54 kB-21.45 kB110.73 kB106.8 kB-3.93 kB
Ashton_Kutcher20.59 kB20.59 kB0 B6.87 kB6.87 kB0 B226.34 kB206.98 kB-19.36 kB48.42 kB44.5 kB-3.91 kB
Black_Panther:_Wakanda_Forever22.13 kB22.13 kB0 B7.27 kB7.27 kB0 B489.39 kB473.08 kB-16.32 kB89.92 kB86.06 kB-3.86 kB
The_Last_of_Us_(TV_series)20.79 kB20.79 kB0 B7.02 kB7.02 kB0 B890.05 kB875.51 kB-14.54 kB146.65 kB142.95 kB-3.7 kB
Ant-Man_and_the_Wasp:_Quantumania22.83 kB22.83 kB0 B7.43 kB7.43 kB0 B361.49 kB346.96 kB-14.53 kB66.76 kB63.08 kB-3.68 kB
ChatGPT19.94 kB19.94 kB0 B6.6 kB6.6 kB0 B313.63 kB294.44 kB-19.18 kB62.59 kB58.97 kB-3.62 kB
Harry_Styles20.45 kB20.45 kB0 B6.82 kB6.82 kB0 B631.19 kB613.51 kB-17.67 kB111.14 kB107.65 kB-3.49 kB
Nikki_Haley20.67 kB20.67 kB0 B6.76 kB6.76 kB0 B505.6 kB490.66 kB-14.94 kB94.79 kB91.57 kB-3.22 kB
Super_Bowl21.96 kB21.96 kB0 B7.23 kB7.23 kB0 B392.98 kB377.99 kB-15 kB80.29 kB77.14 kB-3.15 kB
Sam_Smith20.88 kB20.88 kB0 B7 kB7 kB0 B261.7 kB245.9 kB-15.79 kB53.09 kB49.96 kB-3.12 kB
Jenna_Ortega20.81 kB20.81 kB0 B6.96 kB6.96 kB0 B339.54 kB325.59 kB-13.95 kB61.37 kB58.36 kB-3.01 kB
XXX:_Return_of_Xander_Cage21.77 kB21.77 kB0 B7.21 kB7.21 kB0 B173.63 kB162.43 kB-11.2 kB38.19 kB35.19 kB-3.01 kB
Sidharth_Malhotra20.7 kB20.7 kB0 B6.93 kB6.93 kB0 B216.58 kB203.54 kB-13.04 kB40.68 kB37.69 kB-2.99 kB
Raquel_Welch19.66 kB19.66 kB0 B6.54 kB6.54 kB0 B349.34 kB334.2 kB-15.14 kB69.49 kB66.5 kB-2.99 kB
Kiara_Advani21.14 kB21.14 kB0 B7.1 kB7.1 kB0 B270.4 kB258.83 kB-11.56 kB48.07 kB45.29 kB-2.79 kB
Ansel_Adams21.19 kB21.19 kB0 B7 kB7 kB0 B385.1 kB371.67 kB-13.44 kB75.46 kB72.68 kB-2.79 kB
XXXTentacion21.88 kB21.88 kB0 B7.33 kB7.33 kB0 B742.7 kB727.74 kB-14.95 kB130.72 kB127.95 kB-2.77 kB
Deaths_in_202319.14 kB19.14 kB0 B6.47 kB6.47 kB0 B405.05 kB394.81 kB-10.24 kB99.41 kB96.71 kB-2.7 kB
List_of_highest-grossing_Indian_films20.77 kB20.77 kB0 B6.92 kB6.92 kB0 B837.36 kB828.68 kB-8.68 kB124.71 kB122.01 kB-2.69 kB
Pedro_Pascal22.63 kB22.63 kB0 B7.52 kB7.52 kB0 B202.41 kB189.64 kB-12.77 kB39.41 kB36.73 kB-2.68 kB
Andrew_Tate20.01 kB20.01 kB0 B6.62 kB6.62 kB0 B337.69 kB325.08 kB-12.61 kB61.09 kB58.43 kB-2.66 kB
You_(TV_series)21.02 kB21.02 kB0 B6.9 kB6.9 kB0 B453.6 kB443.65 kB-9.95 kB79.33 kB76.74 kB-2.59 kB
The_Last_of_Us22.24 kB22.24 kB0 B7.34 kB7.34 kB0 B530.62 kB517.2 kB-13.43 kB86.87 kB84.38 kB-2.49 kB
Tom_Brady21.58 kB21.58 kB0 B7.21 kB7.21 kB0 B1.13 MB1.12 MB-11.45 kB181.63 kB179.19 kB-2.45 kB
Disappearance_of_Madeleine_McCann21.76 kB21.76 kB0 B7.25 kB7.25 kB0 B504.89 kB495.87 kB-9.02 kB106.52 kB104.08 kB-2.44 kB
Christian_Atsu20.9 kB20.9 kB0 B6.87 kB6.87 kB0 B242.51 kB231.8 kB-10.71 kB42.99 kB40.59 kB-2.4 kB
XXX:_State_of_the_Union21.22 kB21.22 kB0 B7 kB7 kB0 B86.88 kB77.98 kB-8.9 kB22.6 kB20.28 kB-2.32 kB
Burt_Bacharach22.35 kB22.35 kB0 B7.44 kB7.44 kB0 B365.07 kB353.65 kB-11.42 kB71.65 kB69.38 kB-2.27 kB
The_Banshees_of_Inisherin21.91 kB21.91 kB0 B7.2 kB7.2 kB0 B200.26 kB190.84 kB-9.42 kB41.01 kB38.78 kB-2.23 kB
2023_Ohio_train_derailment23.03 kB23.03 kB0 B7.59 kB7.59 kB0 B340.63 kB332.81 kB-7.82 kB65.43 kB63.22 kB-2.21 kB
ASAP_Rocky22.64 kB22.64 kB0 B7.64 kB7.64 kB0 B365.64 kB355.37 kB-10.27 kB66.61 kB64.61 kB-2.01 kB
The_Whale_(2022_film)21.4 kB21.4 kB0 B7.1 kB7.1 kB0 B263.7 kB255.64 kB-8.06 kB46.53 kB44.53 kB-2 kB
XXX_(2002_film)21.72 kB21.72 kB0 B7.3 kB7.3 kB0 B101.61 kB93.34 kB-8.27 kB27.14 kB25.16 kB-1.97 kB
Knock_at_the_Cabin21.8 kB21.8 kB0 B7.26 kB7.26 kB0 B129.47 kB122.33 kB-7.15 kB29.16 kB27.2 kB-1.96 kB
Natasha_Lyonne22.74 kB22.74 kB0 B7.53 kB7.53 kB0 B209.49 kB200.22 kB-9.27 kB42.69 kB40.74 kB-1.95 kB
Kim_Petras21.32 kB21.32 kB0 B7.15 kB7.15 kB0 B211.81 kB203.6 kB-8.2 kB43.04 kB41.24 kB-1.8 kB
Cocaine_Bear22.26 kB22.26 kB0 B7.38 kB7.38 kB0 B135.1 kB128.2 kB-6.91 kB30.35 kB28.57 kB-1.78 kB
Jake_Paul22.08 kB22.08 kB0 B7.29 kB7.29 kB0 B326.85 kB318.83 kB-8.02 kB65.34 kB63.58 kB-1.76 kB
Annie_Wersching21.41 kB21.41 kB0 B7 kB7 kB0 B92.82 kB84.74 kB-8.08 kB21.5 kB19.79 kB-1.7 kB
Bella_Ramsey22.36 kB22.36 kB0 B7.3 kB7.3 kB0 B157 kB149.51 kB-7.49 kB31.02 kB29.35 kB-1.66 kB
Hogwarts_Legacy21.68 kB21.68 kB0 B7.22 kB7.22 kB0 B398.12 kB390.15 kB-7.98 kB66.23 kB64.6 kB-1.64 kB
Patrick_Mahomes22.73 kB22.73 kB0 B7.46 kB7.46 kB0 B458.51 kB451.61 kB-6.9 kB78.1 kB76.56 kB-1.54 kB
Omegle20.76 kB20.76 kB0 B7.04 kB7.04 kB0 B67.11 kB59.38 kB-7.73 kB17.92 kB16.47 kB-1.45 kB
Tommy_Lee21.86 kB21.86 kB0 B7.19 kB7.19 kB0 B162.3 kB155.31 kB-6.99 kB36.24 kB34.81 kB-1.43 kB
Pakistan_Super_League21.42 kB21.42 kB0 B7.08 kB7.08 kB0 B196.59 kB192.1 kB-4.49 kB37.76 kB36.44 kB-1.33 kB
Pathaan_(film)21.83 kB21.83 kB0 B7.33 kB7.33 kB0 B332.3 kB327.63 kB-4.67 kB53.07 kB51.75 kB-1.32 kB
Richard_Belzer21.63 kB21.63 kB0 B7.13 kB7.13 kB0 B150.84 kB145.05 kB-5.79 kB34.67 kB33.4 kB-1.28 kB
List_of_Super_Bowl_halftime_shows20.42 kB20.42 kB0 B6.78 kB6.78 kB0 B286.02 kB282.95 kB-3.06 kB53.97 kB52.82 kB-1.15 kB
Jessica_Watson22.3 kB22.3 kB0 B7.28 kB7.28 kB0 B207.5 kB202.42 kB-5.08 kB42.71 kB41.58 kB-1.13 kB
List_of_Super_Bowl_champions21.8 kB21.8 kB0 B7.16 kB7.16 kB0 B357.49 kB354.05 kB-3.44 kB51.79 kB50.7 kB-1.08 kB
XXX_(film_series)21.37 kB21.37 kB0 B7.1 kB7.1 kB0 B116.63 kB113.28 kB-3.35 kB26.53 kB25.49 kB-1.04 kB
Super_Bowl_LVII23.2 kB23.2 kB0 B7.55 kB7.55 kB0 B332.75 kB328.18 kB-4.57 kB64.09 kB63.13 kB-962 B
P._K._Rosy21.05 kB21.05 kB0 B6.91 kB6.91 kB0 B64.41 kB61.49 kB-2.93 kB17.02 kB16.12 kB-906 B
Travis_Kelce22.29 kB22.29 kB0 B7.34 kB7.34 kB0 B331.34 kB328.37 kB-2.97 kB52.73 kB51.96 kB-768 B
Mac_McClung22.53 kB22.53 kB0 B7.36 kB7.36 kB0 B159.68 kB156.71 kB-2.97 kB32.81 kB32.07 kB-745 B
Andy_Reid23.39 kB23.39 kB0 B7.56 kB7.56 kB0 B286.23 kB283.52 kB-2.71 kB50.44 kB49.7 kB-740 B
Jalen_Hurts22.8 kB22.8 kB0 B7.5 kB7.5 kB0 B196.73 kB194.3 kB-2.43 kB39.25 kB38.57 kB-678 B
XXXX20.96 kB20.96 kB0 B7 kB7 kB0 B38.95 kB36.02 kB-2.94 kB11.74 kB11.1 kB-644 B
Jason_Kelce22.53 kB22.53 kB0 B7.42 kB7.42 kB0 B144.76 kB142.28 kB-2.48 kB31.85 kB31.24 kB-618 B
Varisu22.52 kB22.52 kB0 B7.52 kB7.52 kB0 B282.8 kB281.01 kB-1.78 kB49.99 kB49.39 kB-598 B
Elimination_Chamber_(2023)22.56 kB22.56 kB0 B7.37 kB7.37 kB0 B176.16 kB173.76 kB-2.4 kB36.73 kB36.13 kB-594 B
Shehzada_(2023_film)22.11 kB22.11 kB0 B7.32 kB7.32 kB0 B122.98 kB121.3 kB-1.68 kB28.12 kB27.59 kB-530 B
Bigg_Boss_(Hindi_season_16)21.88 kB21.88 kB0 B7.22 kB7.22 kB0 B336.32 kB335.04 kB-1.28 kB58.41 kB57.99 kB-426 B
Brink's-Mat_robbery20.97 kB20.97 kB0 B7.12 kB7.12 kB0 B174.25 kB173.43 kB-814 B35.43 kB35.09 kB-339 B
Lux_Pascal21.15 kB21.15 kB0 B7.06 kB7.06 kB0 B63.47 kB62.11 kB-1.36 kB17.07 kB16.73 kB-339 B
Tommy_Fury22.36 kB22.36 kB0 B7.42 kB7.42 kB0 B93.13 kB91.95 kB-1.18 kB21.9 kB21.58 kB-315 B
Murdaugh_family21.97 kB21.97 kB0 B7.39 kB7.39 kB0 B261.99 kB261.43 kB-559 B50.98 kB50.72 kB-253 B
You_(season_4)22.34 kB22.34 kB0 B7.39 kB7.39 kB0 B108.35 kB107.63 kB-722 B26.44 kB26.22 kB-218 B
Jake_Paul_vs_Tommy_Fury22 kB22 kB0 B7.16 kB7.16 kB0 B96.37 kB96.12 kB-249 B19.31 kB19.23 kB-79 B

Conclusion

Because I didn't observe obvious spikes in the RUM and synthetic tests we collect, I'm calling this a pass.

Test Result - Beta

Status: ✅ PASS
Environment: beta
OS: macOS Ventura
Browser: Chrome
Device: MBP
Emulated Device:iPad Mini

Test Artifact(s):

QA Steps

Disable JavaScript and visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Language_test
Click language button
✅ AC1: Expected: should stay within page and show 3 languages.
✅ AC2: Clicking language should take you away from the page.

Screen Recording 2023-03-23 at 9.54.45 AM.mov.gif (940×1 px, 295 KB)

Enable JS and click language button
✅ AC3: Expected: overlay should open

Screen Recording 2023-03-23 at 9.55.28 AM.mov.gif (940×1 px, 348 KB)

Edtadros removed Edtadros as the assignee of this task.

Test Result - Prod

Status: ✅ PASS
Environment: enwiki, urwiki
OS: macOS Ventura
Browser: Chrome
Device: MBP
Emulated Device:iPad Mini

Test Artifact(s):

QA Steps

Disable JavaScript and visit https://en.m.wikipedia.org/wiki/Herbie_Hewett
Click language button
✅ AC1: Expected: should stay within page and show 3 languages.
✅ AC2: Clicking language should take you away from the page.

Screen Recording 2023-03-23 at 10.02.20 AM.mov.gif (1×1 px, 1 MB)

Enable JS and click language button
✅ AC3: Expected: overlay should open

Screen Recording 2023-03-23 at 10.07.17 AM.mov.gif (1×1 px, 1 MB)

Test wiki on Patch demo by Jdlrobson using patch(es) linked to this task was deleted:

https://patchdemo.wmflabs.org/wikis/bd1d57cade/w/

Test wiki on Patch demo by Jdlrobson using patch(es) linked to this task was deleted:

https://patchdemo.wmflabs.org/wikis/ed0b6f5b7a/w/